Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/3840/?format=api
{ "ob_id": 3840, "uuid": "d3dbcfab79150df509a5c033864f94e5", "title": "ECMWF Operational Seasonal Forecast Data", "abstract": "In support of the COAPEC Thematic Programme the BADC has extracted seasonal forecast ensemble data from the ECMWF MARS (Meteorological Archive and Retrieval System) archive. These data are also known as \"Hindcasts\" as they are forecasts run retrospectively. Since the data is part of the ECMWF Operational system BADC users must successfully apply for access to this dataset before they can obtain the data.\r\n\r\nThe ECMWF produced two sets of runs, System 1 and System 2. The data archived at the BADC are the System 2 runs which use the atmospheric component Cy23r4 of the IFS (Integrated Forecasting System) with a horizontal resolution of TL95 at 40 levels in the vertical. This is the same cycle of the IFS used for the ERA-40 re-analysis.\r\n\r\nA detailed description of the ECMWF Seasonal Forecasting system can be found on the ECMWF web site.\r\n\r\nProducts:\r\n\r\nThe BADC has extracted monthly means, maxima, minima and standard deviations for the available surface variables from 1987 to 6 months before the present date. Atmospheric variables are only currently available as monthly means. The data is held as part of the main BADC Operational ECMWF archive.\r\n\r\nFor each month there are six forecast months archived, with 5 ensemble members for 10 months of the year, and 40 ensemble members in May and November of each year from 1987-2001. From 2002 onwards there are 40 ensemble members per month. There are 33 parameters held on surface or single levels and 6 parameters available on pressure levels.\r\n\r\nThe data is held on a regular 1.875 x 1.875 degree grid in GRIB format.", "keywords": "ECMWF, operational, forecast, analysis, surface, model, Seasonal", "publicationState": "published", "dataPublishedTime": "2012-06-07T13:10:39", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/3841/?format=api", "dataPath": "/badc/ecmwf-op/data/seasonal_fcs", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 105520416308, "numberOfFiles": 88086, "fileFormat": "Data are GRIB-1 formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1097/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22870/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/52677/?format=api" ], "dataLineage": "Data extracted from European Centre for Medium-Range Weather Forecasts (ECMWF) MARS system and transfered to BADC daily, 10 days in arrears of production.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/2580/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/identifiers/8692/?format=api" ], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/3459/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5438/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/3826/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19007/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19012/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19009/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19010/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19011/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19013/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19006/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/19008/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/3829/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2609/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "restricted", "accessRoles": "ecmwfop", "label": "restricted: ecmwfop group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ecmwf_op_agreement.pdf", "licenceClassifications": "academic" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }